Bug 249790 - Compiz crashes on resolution change
Compiz crashes on resolution change
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-26 20:51 EDT by Kyrre Ness Sjøbæk
Modified: 2008-06-16 21:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:58:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (102.66 KB, text/plain)
2008-04-15 16:02 EDT, Kyrre Ness Sjøbæk
no flags Details
xorg.conf (1.17 KB, application/octet-stream)
2008-04-15 16:02 EDT, Kyrre Ness Sjøbæk
no flags Details

  None (edit)
Description Kyrre Ness Sjøbæk 2007-07-26 20:51:35 EDT
Description of problem:
I am running a brand new Dell latitude laptop/core2duo with an intel 345
graphics controller. I i try to change the resolution when running compiz trough
the gnome menu, i get a black screen with only the mouse moving and/or xorg
crash, if i use xrandr, gnome panels are adapted to smaller resolutions, but the
screen at large is the same - i can place, see, and use windows beneath panels...

Version-Release number of selected component (if applicable):
compiz-0.3.6-8.fc7

How reproducible:


Steps to Reproduce:
1.Enable desktop effects
2.Change the resolution (say, you want to use a projector that has XGA but not
SXGA like the laptop display)
3.Boom
  
Actual results:
Weird behaviour

Expected results:


Additional info:
I'm not totally shure - i just can't nail whats going on. Can't you try to
reproduce this yourself?
Comment 1 Matěj Cepl 2007-11-30 11:29:37 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-01-17 09:01:07 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Kyrre Ness Sjøbæk 2008-02-11 13:51:52 EST
Hmm. If still interesting, I shall attach those data. However, I just noticed
that  if I changed the resolution via said gnome config tool, nothing at all
happened (it just asked me to confirm that the display was still viewable). This
was after having suspended two times.
Comment 4 Matěj Cepl 2008-04-10 05:45:42 EDT
Could we get these data, please?
Comment 5 Kyrre Ness Sjøbæk 2008-04-10 17:55:56 EDT
I will collect and admit the data, but i really really do not have time untill
next week, bogged down in exams i am.
Comment 6 Kyrre Ness Sjøbæk 2008-04-15 15:58:24 EDT
Activating compiz, logged in-out. Switched resolution from Gnome menu. Black
screen, only mouse-pointer (it changed when i moved it around the screen from
pointer to text-marker). Wait 15 (?) secounds, resolution switches back by
itself. Still black. Mouse pointer dissapears when i hit alt-tab. Nothing
happens on desktop switch. VT switch successfull, but I only get back the black
screen. Attaching Xorg.0.log and xorg.conf.
Comment 7 Kyrre Ness Sjøbæk 2008-04-15 16:02:19 EDT
Created attachment 302515 [details]
Xorg log file
Comment 8 Kyrre Ness Sjøbæk 2008-04-15 16:02:43 EDT
Created attachment 302516 [details]
xorg.conf
Comment 9 Bug Zapper 2008-05-14 09:41:51 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 21:58:50 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.